%define upstream_name    String-RewritePrefix
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Rewrite strings based on a set of known prefixes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Sub::Exporter) >= 0.972.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 0.8.0-2.mga8
+ Revision: 1544472
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.8.0-1.mga8
+ Revision: 1483064
- update to 0.008
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.7.0-8.mga7
+ Revision: 1271237
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-7.mga6
+ Revision: 1033396
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.7.0-6.mga6
+ Revision: 948373
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.7.0-5.mga5
+ Revision: 787829
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 745374
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.7.0-3.mga5
+ Revision: 733420
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 686251
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.7.0-1.mga5
+ Revision: 585120
- update to 0.007

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 514726
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 372827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 27022
- mageia rebuild
- imported package perl-String-RewritePrefix

